Twitter Plugin - Defect #285

profile.isFollowing() seems always returning false
Description
subject says it all

History

#1 - 04/28/2011 06:33 PM - Patrick Talbot
- File roclasi-json.txt added

- Status changed from New to In Progress

JTwitter is relying on a "followed_by" attribute to feed this Profile info, but this attribute is not in the response.
Checking the json result for your profile (requested by me) you can see for example the "following" attribute, but no "followed_by" (see attached)

Looking for it, | found this bug http://code.google.com/p/twitter-api/issues/detail ?id=1313&g=followed_by
which point to a list of attribute: http:/apiwiki.twitter.com/w/page/22554664/Return-Values

So either this "followed_by" attribute was part of the response at one point in the past, or it was only a "requested feature" that was never
implemented...

But in truth it's simply not there for now!

So 2 options:

1.1 can add it, but this would mean an extra call to Twitter.
2. Or we drop this method altogether.

Your call.

#2 - 04/30/2011 07:06 PM - Robert lvens

Just drop the method from the profile object. This way we have a choice to do the extra call or not.

#3 - 04/30/2011 09:27 PM - Patrick Talbot

- Status changed from In Progress to Closed

Fixed in 0.9.1 - removed isFollowedByYou() method from Profile

Files

roclasi-json.ixt 2.27 KB 04/28/2011 Patrick Talbot
